Jump to content
Bartimaeus

IR Revised V1.2.4 (2019 January 20th)

Recommended Posts

Going from 18 wisdom to 20 gives you one level 1, one level 2, and two level 4 spell slots. If you've used three Tomes of Understanding, going from 21 wisdom to 23 gives you one level 4 and three level 5 slots. Because of the wacky imbalance of wisdom bonus slots, I'm pretty hesitant to give hardly anything bonus wisdom (...and I've already given two more items bonus wisdom that clerics can use than normal IR - Amulet of the Seldarine and Jerrod's Mace). And while it's true that wisdom does benefit the (Limited) Wish spell, in practice, this ring will probably only be used by a cleric with high wisdom that'll have every good option already unlocked to begin with anyways, so giving bonus wisdom just piles on to that.

Unrelated: I'm pretty sure "djinni" is the plural form of the word, and "Summon Djinni" should really be "Summon Djinn".

Share this post


Link to post
49 minutes ago, Bartimaeus said:

Unrelated: I'm pretty sure "djinni" is the plural form of the word, and "Summon Djinni" should really be "Summon Djinn".

Other way around, at least in D&D: djinni singular, djinn plural.

Share this post


Link to post

Yeah, I think you're right. Getting my memory confused between religious/mythological stuff and D&D, and it doesn't help that Baldur's Gate seems to interchangeably use them in a few places.

(e): From a cursory glance at a ToB dialog.tlk, the usage between djinn and djinni is indeed rather inconsistent. Djinn is used a whole bunch of times for singular, and djinni is used a handful of times for plural as well.

Edited by Bartimaeus

Share this post


Link to post

just my opinion but potion of energy shielding should be nerfed a bit .  let's say +50 energy resistance and only  +5 bonus to all saves .

Currently, this potion make you really almost invincible even it is balanced by the fact  that  with revisited store component, we hace access to only 5 or 6 potions...

I would have prefer to have potions/ammunitions in illimited quantity in store : the price is already here to limit access to these items .

But yes, I use rogue rebalancing component making impossible to steal in store.

 

 

Share this post


Link to post

Right now, it's somewhat balanced by its shorter duration (1 turn). Failing that, the effects could be separated into two different potions - perhaps replace Potion of Magic Dispelling with Energy Shielding (50% energy resistance), while the current Potion of Energy Shielding could be renamed to...uh...Potion of...Resistance or something (wow that's bad) that makes you automatically make all saving throws.

But uh, to be honest, as I've said before, I literally never use potions, so I don't really have a great feel for what should happen with them necessarily. I do think the Potion of Magic Dispelling is kind of an unnecessary addition, though, and it's probably better to have it get closer to its vanilla function in case AI ever tries to use it while expecting the standard effect (which I think I said before was Magic Resistance)? I don't know.

(e): Also, on a side-note, I've also entertained the idea of infinite supplies of ammunitions and potions (or even nonmagical? armors and weapons) for some of the non-thievable vendors. It is weird to me that you can buy or steal everything from vendors and they will literally never restock. It's just a lot of work to go over everything and figure out exactly what I might want to do, and also, again, I generally like to keep the status quo as it's not really my mod. As usual, I'll keep thinking about it.

Edited by Bartimaeus

Share this post


Link to post

You never use potions O_o undispelling potions are very interesting against SCS mages who love to cast remove magic. 

 

 

Share this post


Link to post

Hi - I have had an installation error when trying to install IRR, during the initial core component. 

I have the original (non-EE) game, BGT setup and manual install of mods.

I have extracted IR, then copied the IRR files over the top. Mods installed before this are (in order): ToBEX, BG2 Fixpack, BGT, Almateria's Restoration Project, Wheels of Prophecy, SRR. 

There are a few error messages:

Spoiler

AMUL25B.spl has invalid opcode 321

POTN02.spl has invalid opcode 328

POTN18.spl has invalid opcode 328

POTN21.spl has invalid opcode 328

POTN21.spl has invalid opcode 328

POTN22.spl has invalid opcode 328

POTN24.spl has invalid opcode 328

POTN31.spl has invalid opcode 328

POTN34.spl has invalid opcode 328

POTN35.spl has invalid opcode 328

POTN45.spl has invalid opcode 328

RODS01B.spl has invalid opcode 321

SCRL03.spl has invalid opcode 328

SCRL04.spl has invalid opcode 328

SCRL05.spl has invalid opcode 328

SCRL06.spl has invalid opcode 328

SCRL07.spl has invalid opcode 328

STAF11B.spl has invalid opcode 321

Do you have any idea what I might have done wrong here? 

Edit: I have attached my weidu.log if that is helpful at all.

 

WeiDU.log

Edited by Notanoctopus
Forgot to attach weidu log file.

Share this post


Link to post
Quote

Do you have any idea what I might have done wrong here? 

Invalid opcodes are due the game not being EE. The #318 being the last official non-EE bg2 opcode.

This means the mod is very likely to have bad effects on non-EE games. Crashing, hanging things and so on.

Edited by Jarno Mikkola

Share this post


Link to post
3 hours ago, Jarno Mikkola said:

The #318 being the last official non-EE bg2 opcode.

It's 317; 318 is the first EE opcode.

But 318 is listed on IESDP as it's added by ToBEX - not official, but useful!

Share this post


Link to post

@Notanoctopus

Not an error. That's IRR detecting invalid opcodes/effects (anything greater than or equal to 319, as per DavidW) that would crash the game for non-EE games and then removing opcode 328 in particular (the three spells that were detected as using 321 are unused in non-EE games, so they do not need to have it deleted). It only runs on non-EE games. However, I do realize that the "error" message does not really satisfactorily explain that (but also, I don't think most people even notice). Maybe I should have it print something like "Invalid opcodes successfully removed!" at the end, or I can just suppress the message.

Edited by Bartimaeus

Share this post


Link to post

Thanks for the explanation, good to know that everything is still working properly. 

I probably wouldn't have noticed either, except the messages were near the end and so I could easily see them one it installed. 

Thanks!

Share this post


Link to post
Guest
You are commenting as a guest. If you have an account, please sign in.
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×